---
updatedAt: 2026-04-23T13:29:19.000Z
agentTools:
  projectIndex: https://developer.xentral.com/llms.txt
---

# List POS settings for project

Returns a list of POS settings of a project

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Xentral API",
    "version": "v0.1",
    "description": "Xentral is an ERP platform.",
    "contact": {
      "name": "Xentral",
      "url": "https://xentral.com",
      "email": "api@xentral.com"
    }
  },
  "tags": [
    {
      "name": "Project",
      "description": "Project resource."
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer token obtained in POST /tokens endpoint or pregenerated in the system."
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://{xentralId}.xentral.biz",
      "description": "Your Xentral Instance",
      "variables": {
        "xentralId": {
          "default": "xentral"
        }
      }
    },
    {
      "url": "https://{domain}",
      "description": "Xentral at a custom domain",
      "variables": {
        "domain": {
          "default": "xentral.com"
        }
      }
    }
  ],
  "x-readme": {
    "samples-languages": []
  },
  "paths": {
    "/api/v1/projects/{id}/posSettings": {
      "get": {
        "tags": [
          "Project"
        ],
        "operationId": "Project.posSettings",
        "summary": "List POS settings for project",
        "description": "Returns a list of POS settings of a project",
        "parameters": [
          {
            "in": "path",
            "name": "id",
            "required": true,
            "description": "The resource's identifier.",
            "schema": {
              "type": "string",
              "pattern": "\\d+",
              "example": "17",
              "description": "Resource identifier."
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Operation completed successfully.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": false,
                  "properties": {
                    "data": {
                      "x-description-missing": true,
                      "type": "object",
                      "additionalProperties": false,
                      "properties": {
                        "storageProcess": {
                          "x-description-missing": true,
                          "type": "string",
                          "example": "Automated Storage"
                        },
                        "adapterBoxId": {
                          "x-description-missing": true,
                          "type": "integer",
                          "example": 5
                        },
                        "warehouse": {
                          "x-description-missing": true,
                          "type": "integer",
                          "example": 5
                        },
                        "priceGroup": {
                          "x-description-missing": true,
                          "type": "integer",
                          "example": 5
                        },
                        "cashRegister": {
                          "x-description-missing": true,
                          "type": "integer",
                          "example": 5
                        },
                        "defaultCustomer": {
                          "x-description-missing": true,
                          "type": "integer",
                          "example": 5
                        },
                        "allowAllCustomers": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "allowOnlyProjectItems": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "sumItems": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "discountItems": {
                          "x-description-missing": true,
                          "type": "integer",
                          "example": 1
                        },
                        "createDeliveryNote": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "label1": {
                          "x-description-missing": true,
                          "type": "string",
                          "example": "Shipping Label"
                        },
                        "label2": {
                          "x-description-missing": true,
                          "type": "string",
                          "example": "Return Label"
                        },
                        "applyItemDescriptionToReceipts": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "displayNet": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "allowMultipleOrdersPerCashier": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "journalPdfDetailedView": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "hideIndividualBookings": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "monthlyReportsWithoutIndividualDays": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "hideCountingLog": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "hideSignatureBlock": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "buttonPaymentBar": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "buttonPaymentBarPaid": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "buttonPaymentEc": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "buttonPaymentEcPaid": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "buttonPaymentCreditCard": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "buttonPaymentCreditCardPaid": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "buttonPaymentTransfer": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "buttonPaymentTransferPaid": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "buttonInvoice": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "buttonReceipt": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "buttonDiscountPercent": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "buttonDiscountEuro": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "buttonWithdrawal": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "buttonDeposit": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "buttonTipping": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "buttonTippingCredit": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "buttonOpenDrawer": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "buttonLoadReceipts": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "buttonCancellation": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "cashierAutologout": {
                          "x-description-missing": true,
                          "type": "integer",
                          "example": 5
                        },
                        "cashierAutologoutAfterPaymenet": {
                          "x-description-missing": true,
                          "type": "integer",
                          "example": 5
                        },
                        "extendedAddressFields": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "compulsorySelectionPaymentMethod": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "preselectionOfSalutation": {
                          "x-description-missing": true,
                          "type": "string",
                          "example": "Mr."
                        },
                        "printerReceiptAfterCompletion": {
                          "x-description-missing": true,
                          "type": "string",
                          "example": "Print receipt after transaction completion"
                        },
                        "printerId": {
                          "x-description-missing": true,
                          "type": "integer",
                          "example": 5
                        },
                        "printerNumberOfDeliveryNotes": {
                          "x-description-missing": true,
                          "type": "integer",
                          "example": 5
                        },
                        "printerNumberOfInvoices": {
                          "x-description-missing": true,
                          "type": "integer",
                          "example": 5
                        },
                        "printerNumberOfCreditNotes": {
                          "x-description-missing": true,
                          "type": "integer",
                          "example": 5
                        },
                        "printerNumberOfDeliveryNoteDuplicates": {
                          "x-description-missing": true,
                          "type": "integer",
                          "example": 5
                        },
                        "printerPrintReceiptWithInvoice": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "printerPrintQr": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "printerReceiptActive": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "printerReceiptCount": {
                          "x-description-missing": true,
                          "type": "integer",
                          "example": 5
                        },
                        "printerReceiptLine1": {
                          "x-description-missing": true,
                          "type": "string",
                          "example": "Thank you for your purchase!"
                        },
                        "printerReceiptLine2": {
                          "x-description-missing": true,
                          "type": "string",
                          "example": "Please come again."
                        },
                        "printerReceiptLine3": {
                          "x-description-missing": true,
                          "type": "string",
                          "example": "Please come again."
                        },
                        "printerReceiptFreeField": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "printerReceiptQr": {
                          "x-description-missing": true,
                          "type": "boolean",
                          "example": true
                        },
                        "ownVatId": {
                          "x-description-missing": true,
                          "type": "string",
                          "format": "float",
                          "nullable": true,
                          "example": "VAT12345678"
                        }
                      },
                      "example": {
                        "storageProcess": "Automated Storage",
                        "adapterBoxId": 5,
                        "warehouse": 5,
                        "priceGroup": 5,
                        "cashRegister": 5,
                        "defaultCustomer": 5,
                        "allowAllCustomers": true,
                        "allowOnlyProjectItems": true,
                        "sumItems": true,
                        "discountItems": 1,
                        "createDeliveryNote": true,
                        "label1": "Shipping Label",
                        "label2": "Return Label",
                        "applyItemDescriptionToReceipts": true,
                        "displayNet": true,
                        "allowMultipleOrdersPerCashier": true,
                        "journalPdfDetailedView": true,
                        "hideIndividualBookings": true,
                        "monthlyReportsWithoutIndividualDays": true,
                        "hideCountingLog": true,
                        "hideSignatureBlock": true,
                        "buttonPaymentBar": true,
                        "buttonPaymentBarPaid": true,
                        "buttonPaymentEc": true,
                        "buttonPaymentEcPaid": true,
                        "buttonPaymentCreditCard": true,
                        "buttonPaymentCreditCardPaid": true,
                        "buttonPaymentTransfer": true,
                        "buttonPaymentTransferPaid": true,
                        "buttonInvoice": true,
                        "buttonReceipt": true,
                        "buttonDiscountPercent": true,
                        "buttonDiscountEuro": true,
                        "buttonWithdrawal": true,
                        "buttonDeposit": true,
                        "buttonTipping": true,
                        "buttonTippingCredit": true,
                        "buttonOpenDrawer": true,
                        "buttonLoadReceipts": true,
                        "buttonCancellation": true,
                        "cashierAutologout": 5,
                        "cashierAutologoutAfterPaymenet": 5,
                        "extendedAddressFields": true,
                        "compulsorySelectionPaymentMethod": true,
                        "preselectionOfSalutation": "Mr.",
                        "printerReceiptAfterCompletion": "Print receipt after transaction completion",
                        "printerId": 5,
                        "printerNumberOfDeliveryNotes": 5,
                        "printerNumberOfInvoices": 5,
                        "printerNumberOfCreditNotes": 5,
                        "printerNumberOfDeliveryNoteDuplicates": 5,
                        "printerPrintReceiptWithInvoice": true,
                        "printerPrintQr": true,
                        "printerReceiptActive": true,
                        "printerReceiptCount": 5,
                        "printerReceiptLine1": "Thank you for your purchase!",
                        "printerReceiptLine2": "Please come again.",
                        "printerReceiptLine3": "Please come again.",
                        "printerReceiptFreeField": true,
                        "printerReceiptQr": true,
                        "ownVatId": "VAT12345678"
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "IETF RFC 9457 Problem API compliant response",
            "content": {
              "application/problem+json": {
                "schema": {
                  "oneOf": [
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "violations"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/request-validation"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1,
                          "example": "Request payload validation failed."
                        },
                        "violations": {
                          "oneOf": [
                            {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "example": {
                                  "username": [
                                    "This value should not be blank."
                                  ],
                                  "email": [
                                    "This value is not a valid email address."
                                  ]
                                }
                              },
                              "description": "This field will be a mirrored request payload with only invalid fields and values replaced by error messages."
                            },
                            {
                              "type": "object",
                              "example": {
                                "_": [
                                  "This value should contain at most `9` elements."
                                ]
                              },
                              "description": "This field will be a mirrored request payload with only invalid fields and values replaced by error messages."
                            }
                          ]
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "messages"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/generic-validation"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "messages": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "messages"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/conflict"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "messages": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "items"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/conflictItems"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "items": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "additionalProperties": false,
                            "required": [
                              "id",
                              "title",
                              "messages"
                            ],
                            "properties": {
                              "id": {
                                "type": "integer"
                              },
                              "title": {
                                "type": "string",
                                "minLength": 1
                              },
                              "messages": {
                                "type": "array",
                                "items": {
                                  "type": "string"
                                }
                              }
                            }
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "scopes"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://developer.xentral.com/reference/problems#token-scopes"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "scopes": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    {
                      "type": "object",
                      "additionalProperties": false,
                      "required": [
                        "type",
                        "title",
                        "messages"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "https://api.xentral.biz/problems/generic-validation"
                          ]
                        },
                        "title": {
                          "type": "string",
                          "minLength": 1
                        },
                        "messages": {
                          "type": "object",
                          "additionalProperties": {
                            "type": "array",
                            "items": {
                              "type": "string"
                            }
                          }
                        }
                      }
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "description": "Unable to authenticate the client",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "description": "Error message explaining why the request failed.",
                      "example": "Missing required scopes: customer:create."
                    }
                  }
                },
                "example": {
                  "message": "Missing required scopes: customer:create."
                }
              },
              "text/html": {
                "schema": {
                  "type": "string",
                  "example": "Unauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Unable to authorize the client"
          },
          "404": {
            "description": "Resource was not found or not enough access privileges"
          },
          "406": {
            "description": "Requested resource representation does not exist."
          },
          "429": {
            "description": "Too many API calls made."
          }
        }
      }
    }
  }
}
```